%define STDC_VERSION	2.10.0
%define LIBGCJ_VERSION	2.95
%define	GPC_VERSION	20011222

Summary:		Various compilers (C, C++, Objective-C, Chill, ...)
Name:			gcc2.95
Version:		2.95.3
Release:		5mdk
License:		GPL
Group:			Development/C
Packager:		David BAUDENS <baudens@mandrakesoft.com>

Source0:		gcc-2.95.2.tar.bz2
Source1:		libstdc++-compat-ppc.tar.bz2
Source2:		http://home.i1.net/~jamoyers/software/colorgcc/colorgcc-1.3.2.tar.bz2
Source3:		ftp://agnes.dida.physik.uni-essen.de/gnu-pascal/beta/gpc-%{GPC_VERSION}.tar.bz2

Patch0:			gcc-2.95.2-2.95.3.diff.bz2
# Dadou - 2.95.3-0.2mdk - Patch1 was available on ftp://devel.linux.ppc.org:21/users/fsirl/
#                         It's name was cvs-2-95-branch-ppc-diff.
Patch1:			gcc-2.95.3-ppc-20010227-fsirl.diff.bz2
Patch4:			colorgcc.patch.bz2

URL:			http://gcc.gnu.org/
BuildRoot:		%_tmppath/%name-%version-%release-root
Requires:		binutils >= 2.10.1.0.2-3mdk
Requires:		gcc-cpp = %version, glibc-devel, make
BuildRequires:		tetex-xdvi
Prereq:			/sbin/install-info

%description
A compiler aimed at integrating all the optimizations and features necessary 
for a high-performance and stable development environment. You'll need 
this package in order to compile C/C++ code.

%package -n gcc
Summary:        Various compilers (C, C++, Objective-C, Chill, ...)
Group:          Development/C
Requires:       binutils >= 2.10.1.0.2-3mdk
Requires:       gcc-cpp = %version-%release glibc-devel, make
Prereq:         /sbin/install-info
ExclusiveArch:	ppc %{ix86} alpha

%description -n gcc
A compiler aimed at integrating all the optimizations and features necessary for
a high-performance and stable development environment. You'll need this package
in order to compile C/C++ code.

%package -n gcc-c++
Summary:	C++ support for gcc
Group:		Development/C++
Requires:	gcc = %version-%release
Requires:	gcc-cpp = %version-%release glibc-devel make
Obsoletes:	gcc-c++
ExclusiveArch:	ppc

%description -n gcc-c++
This package adds C++ support to the GNU C compiler. It includes support for
most of the current C++ specification, including templates and exception
handling. It does not include the standard C++ library.

%package -n libstdc++
Summary:	GNU C++ library
Group:		System/Libraries
ExclusiveArch:	ppc

%description -n libstdc++
This is the GNU implementation of the standard C++ libraries This package
includes the shared libraries necessary to run C++ applications.

%package -n libstdc++-compat
Summary:	GNU old c++ library
Group:		System/Libraries
ExclusiveArch:	ppc

%description -n libstdc++-compat
This is the GNU implementation of the standard C++ libraries This package
includes the old shared libraries necessary to run C++ applications.

%package -n libstdc++-devel
Summary:	Header files and libraries for C++ development
Group:		Development/C++
Obsoletes:	gcc-libstdc++-devel
Requires:	libstdc++ = %version-%release
ExclusiveArch:	ppc

%description -n libstdc++-devel
This is the GNU implementation of the standard C++ libraries. This package
includes the header files and libraries needed for C++ development. This
includes SGI's implementation of the STL.

%package -n gcc-objc
Summary:	Objective C support for gcc
Group:		Development/Other
Requires: 	gcc = %version-%release glibc-devel make
ExclusiveArch:	ppc

%description -n gcc-objc
This package adds Objective C support to the GNU C compiler. Objective C is a
object oriented derivative of the C language, mainly used on systems running
NeXTSTEP. This package does not include the standard objective C object library.

%package -n gcc-g77
Summary:	Fortran 77 support for gcc
Group:		Development/Other
Requires:	gcc = %version-%release glibc-devel make
ExclusiveArch:	ppc

%description -n gcc-g77
This package adds support for compiling Fortran 77 programs with the GNU
compiler.

%package -n gcc-chill
Summary:	CHILL support for gcc
Group:		Development/Other
Requires:	gcc = %version-%release glibc-devel make
ExclusiveArch:	ppc

%description -n gcc-chill
This package adds support for compiling CHILL programs with the GNU compiler.

Chill is the "CCITT High-Level Language", where CCITT is the old name for what
is now ITU, the International Telecommunications Union. It is is language in the
Modula2 family, and targets many of the same applications as Ada (especially
large embedded systems). Chill was never used much in the United States, but is
still being used in Europe, Brazil, Korea, and other places.

%package -n gcc-cpp
Summary:	The C Preprocessor
Group: 		Development/C
Prereq:		/sbin/install-info
ExclusiveArch:	ppc

%description -n gcc-cpp
The C preprocessor is a 'macro processor' which is used automatically by the C
compiler to transform your program before actual compilation. It is called a
macro processor because it allows you to define 'macros,' which are abbreviations
for longer constructs.

The C preprocessor provides four separate facilities that you can use as
you see fit:

* Inclusion of header files. These are files of declarations that can be
  substituted into your program.
* Macro expansion. You can define 'macros,' which are abbreviations for 
  arbitrary fragments of C code, and then the C preprocessor will replace
  the macros with their definitions throughout the program.
* Conditional compilation. Using special preprocessing directives,
  you can include or exclude parts of the program according to various
  conditions.
* Line control. If you use a program to combine or rearrange source files
  into an intermediate file which is then compiled, you can use line
  control to inform the compiler about where each source line originated.

You should install this package if you are a programmer who is searching for
such a macro processor.

%package -n gcc-colorgcc
Summary:	GCC output colorizer
Group:		Development/Other
Prereq:		gcc gcc-c++
Requires:	perl >= 5.600-28mdk gcc = %version-%release
PreReq:		/usr/sbin/update-alternatives
ExclusiveArch:	ppc

%description -n gcc-colorgcc
GCC output colorizer.

%ifnarch ppc
%package -n gcc-gpc
Summary:	Pascal support for gcc
Group:		Development/Other
#ExclusiveArch:	%{ix86} alpha
Requires:	gcc-gpc-devel

%description -n gcc-gpc
A Pascal compiler based on the GCC compiler.
GNU Pascal is part of the GNU compiler family, GNU CC or GCC.
It combines a Pascal front-end with the proven GNU C back-end
for code generation and optimization.  Unlike utilities such
as p2c, this is a true compiler, not just a converter.

%package -n gcc-gpc-devel
Summary:	Pascal support for gcc
Group:		Development/Other
#ExclusiveArch:	%{ix86} alpha
Requires:	gcc-gpc

%description -n gcc-gpc-devel
Header files, shared libs for GNU Pascal compiler.

%endif

%prep
%setup -q -n gcc-2.95.2
%setup -q -n gcc-2.95.2 -T -D -a2
%setup -q -n gcc-2.95.2 -T -D -a3

%patch0 -p1
%patch1 -p0

# Dadou - 2.95.3-0.1mdk - Colorgcc
%patch4 -p0

# Dadou - 2.95.3-1mdk - Say we were build for Linux-Mandrake
perl -pi -e "s#release#release - Mandrake Linux#" gcc/version.c gcc/f/version.c

# Guillaume Rousse
# mv gpc tree to final location
%ifnarch ppc
mv gpc-%{GPC_VERSION}/p gcc

# patch gcc tree
(cd gcc && patch -p1 -i p/diffs/gcc-%{version}.diff)
%endif

mkdir compat
bzip2 -cd %SOURCE1 | tar x -C compat

%build
mkdir obj-%_target_platform
cd obj-%_target_platform

../configure --prefix=%_prefix \
             --mandir=%_mandir \
	     --infodir=%_infodir \
	     --enable-shared \
	     --enable-threads=posix \
%ifarch ppc
	     --with-cpu=750 \
%endif
	     --enable-haifa \
%ifnarch ppc
	     --enable-languages=pascal \
%endif
	     --host=%_target_platform

make bootstrap-lean

# Dadou - 2.95.3-1mdk - Temporary disable in automatic build (but please, use it
#                       by hand when you modify this package)
#make check

# Copy various doc files here and there
%ifnarch %ix86
cd ..
mkdir -p rpm.doc/libstdc++ rpm.doc/g77 rpm.doc/chill rpm.doc/objc

(cd libio     ; for i in ChangeLog* ; do cp -p $i ../rpm.doc/libstdc++/$i.libio     ; done)
(cd libstdc++ ; for i in ChangeLog* ; do cp -p $i ../rpm.doc/libstdc++/$i.libstdc++ ; done)
(cd gcc/f     ; for i in ChangeLog* ; do cp -p $i ../../rpm.doc/g77/$i.f            ; done)
(cd libf2c    ; for i in ChangeLog* ; do cp -p $i ../rpm.doc/g77/$i.libf2c          ; done)
(cd gcc/ch    ; for i in ChangeLog* ; do cp -p $i ../../rpm.doc/chill/$i.ch         ; done)
(cd libchill  ; for i in ChangeLog* ; do cp -p $i ../rpm.doc/chill/$i.libchill      ; done)
(cd gcc/objc  ; for i in README*    ; do cp -p $i ../../rpm.doc/objc/$i.objc        ; done)
(cd libobjc   ; for i in README*    ; do cp -p $i ../rpm.doc/objc/$i.libobjc        ; done)
%endif


%install
%ifnarch %ix86
# ColorGCC stuff
(
cd colorgcc-1.3.2
install -d %buildroot/%_sysconfdir
install -d %buildroot/%_bindir
install -m755 colorgcc %buildroot/%_bindir
install -m644 colorgccrc %buildroot/%_sysconfdir
mv COPYING ../COPYING.colorgcc
mv CREDITS ../CREDITS.colorgcc
mv ChangeLog ../ChangeLog.colorgcc
)
%endif

cd obj-%_target_platform
make prefix=%buildroot/%_prefix \
     mandir=%buildroot/%_mandir \
     infodir=%buildroot/%_infodir install

%ifnarch %ix86
# Fix some things
(
cd %buildroot/%_bindir
ln -sf gcc cc
ln -sf g77 f77
)
(
install -d %buildroot/lib
cd %buildroot/lib
ln -s %_bindir/cpp cpp
)
(
cd %buildroot/%_mandir/man1
ln -s cccp.1.bz2 cpp.1.bz2
)
(
cd %buildroot/%_bindir
ln -sf colorgcc colorg++
)
# Dadou - 2.95.3-0.2-1mdk - Needed for few very broken packages :(
(
cd %buildroot/%_libdir/gcc-lib/%_target_platform/%version/
ln -s cpp0 cpp
)

strip %buildroot/%_libdir/gcc-lib/%_target_platform/%version/{cc1,cc1chill,cc1obj,cc1plus,cpp0,f771,jc1,jvgenmain}

#install the compatibility libstdc++ library
[ -d ../compat/$RPM_ARCH ] && install -m 755 ../compat/$RPM_ARCH/* %buildroot/%_libdir/
%endif


%post -n gcc
%_install_info gcc.info

%preun
%_remove_install_info gcc.info

%post -n libstdc++
/sbin/ldconfig

%postun -n libstdc++
/sbin/ldconfig

%post -n libstdc++-compat
/sbin/ldconfig

%postun -n libstdc++-compat
/sbin/ldconfig

%post -n gcc-g77
%_install_info g77.info

%preun -n gcc-g77
%_remove_install_info g77.info

%post -n gcc-chill
%_install_info chill.info

%preun -n gcc-chill
%_remove_install_info chill.info

%post -n gcc-cpp
/sbin/ldconfig
%_install_info cpp.info

%preun -n gcc-cpp
/sbin/ldconfig
%_remove_install_info cpp.info

%ifnarch ppc
%post -n gcc-gpc
%_install_info gpc.info

%preun -n gcc-gpc
%_remove_install_info gpc.info
%endif

%clean
rm -fr %buildroot

%ifarch ppc
%files -n gcc
%defattr(-,root,root)
%doc gcc/README* gcc/*ChangeLog*
%_bindir/cc
%_bindir/gcc
%_bindir/gcov
%_bindir/protoize
%_bindir/unprotoize
%_bindir/%_target_platform-gcc
# Dadou - 2.95.3-0.1mdk - This file is provided by libbinutils2-devel
#%_libdir/libiberty.a
%dir %_libdir/gcc-lib/
%dir %_libdir/gcc-lib/%_target_platform/
%dir %_libdir/gcc-lib/%_target_platform/%version/
%_libdir/gcc-lib/%_target_platform/%version/SYSCALLS.c.X
%_libdir/gcc-lib/%_target_platform/%version/cc1
%_libdir/gcc-lib/%_target_platform/%version/collect2
%_libdir/gcc-lib/%_target_platform/%version/crtbegin.o
%_libdir/gcc-lib/%_target_platform/%version/crtbeginS.o
%_libdir/gcc-lib/%_target_platform/%version/crtend.o
%_libdir/gcc-lib/%_target_platform/%version/crtendS.o
%_libdir/gcc-lib/%_target_platform/%version/ecrti.o
%_libdir/gcc-lib/%_target_platform/%version/ecrtn.o
%_libdir/gcc-lib/%_target_platform/%version/libgcc.a
%_libdir/gcc-lib/%_target_platform/%version/scrt0.o
%_libdir/gcc-lib/%_target_platform/%version/scrti.o
%_libdir/gcc-lib/%_target_platform/%version/scrtn.o
%_libdir/gcc-lib/%_target_platform/%version/specs
#
%dir %_libdir/gcc-lib/%_target_platform/%version/include/
%_libdir/gcc-lib/%_target_platform/%version/include/README
%_libdir/gcc-lib/%_target_platform/%version/include/float.h
%_libdir/gcc-lib/%_target_platform/%version/include/iso646.h
%_libdir/gcc-lib/%_target_platform/%version/include/limits.h
%_libdir/gcc-lib/%_target_platform/%version/include/ppc-asm.h
%_libdir/gcc-lib/%_target_platform/%version/include/proto.h
%_libdir/gcc-lib/%_target_platform/%version/include/stdarg.h
%_libdir/gcc-lib/%_target_platform/%version/include/stdbool.h
%_libdir/gcc-lib/%_target_platform/%version/include/stddef.h
%_libdir/gcc-lib/%_target_platform/%version/include/syslimits.h
%_libdir/gcc-lib/%_target_platform/%version/include/va-alpha.h
%_libdir/gcc-lib/%_target_platform/%version/include/va-arc.h
%_libdir/gcc-lib/%_target_platform/%version/include/va-c4x.h
%_libdir/gcc-lib/%_target_platform/%version/include/va-clipper.h
%_libdir/gcc-lib/%_target_platform/%version/include/va-h8300.h
%_libdir/gcc-lib/%_target_platform/%version/include/va-i860.h
%_libdir/gcc-lib/%_target_platform/%version/include/va-i960.h
%_libdir/gcc-lib/%_target_platform/%version/include/va-m32r.h
%_libdir/gcc-lib/%_target_platform/%version/include/va-m88k.h
%_libdir/gcc-lib/%_target_platform/%version/include/va-mips.h
%_libdir/gcc-lib/%_target_platform/%version/include/va-mn10200.h
%_libdir/gcc-lib/%_target_platform/%version/include/va-mn10300.h
%_libdir/gcc-lib/%_target_platform/%version/include/va-pa.h
%_libdir/gcc-lib/%_target_platform/%version/include/va-ppc.h
%_libdir/gcc-lib/%_target_platform/%version/include/va-pyr.h
%_libdir/gcc-lib/%_target_platform/%version/include/va-sh.h
%_libdir/gcc-lib/%_target_platform/%version/include/va-sparc.h
%_libdir/gcc-lib/%_target_platform/%version/include/va-spur.h
%_libdir/gcc-lib/%_target_platform/%version/include/va-v850.h
%_libdir/gcc-lib/%_target_platform/%version/include/varargs.h
#
%dir %_libdir/gcc-lib/%_target_platform/%version/nof/
%_libdir/gcc-lib/%_target_platform/%version/nof/ecrti.o
%_libdir/gcc-lib/%_target_platform/%version/nof/ecrtn.o
%_libdir/gcc-lib/%_target_platform/%version/nof/libg2c.a
%_libdir/gcc-lib/%_target_platform/%version/nof/libgcc.a
%_libdir/gcc-lib/%_target_platform/%version/nof/scrt0.o
%_libdir/gcc-lib/%_target_platform/%version/nof/scrti.o
%_libdir/gcc-lib/%_target_platform/%version/nof/scrtn.o
#
%dir %_libdir/nof/
%_libdir/nof/libiberty.a
%_infodir/gcc.info*
%_mandir/man1/gcc.1*

%files -n gcc-cpp
%defattr(-,root,root)
/lib/cpp
%_bindir/cpp
%_mandir/man1/cpp.1*
%_mandir/man1/cccp.1*
%_infodir/cpp.info*.*
%dir %_libdir/gcc-lib/
%dir %_libdir/gcc-lib/%_target_platform/
%dir %_libdir/gcc-lib/%_target_platform/%version/
%_libdir/gcc-lib/%_target_platform/%version/cpp*

%files -n gcc-c++
%defattr(-,root,root)
%doc gcc/cp/ChangeLog* gcc/cp/NEWS
%_bindir/c++
%_bindir/c++filt
%_bindir/g++
%_mandir/man1/g++.1*
%dir %_libdir/gcc-lib/
%dir %_libdir/gcc-lib/%_target_platform/
%dir %_libdir/gcc-lib/%_target_platform/%version/
%_libdir/gcc-lib/%_target_platform/%version/cc1plus
%dir %_libdir/gcc-lib/%_target_platform/%version/include/
%_libdir/gcc-lib/%_target_platform/%version/include/exception
%_libdir/gcc-lib/%_target_platform/%version/include/new
%_libdir/gcc-lib/%_target_platform/%version/include/new.h
%_libdir/gcc-lib/%_target_platform/%version/include/typeinfo

%files -n libstdc++
%defattr(-,root,root)
%_libdir/libstdc++-3-libc*-%{STDC_VERSION}.so
%_libdir/libstdc++-libc*.so.3
%dir %_libdir/gcc-lib/
%dir %_libdir/gcc-lib/%_target_platform/
%dir %_libdir/gcc-lib/%_target_platform/%version/
%_libdir/gcc-lib/%_target_platform/%version/libstdc++.so
%dir %_libdir/gcc-lib/%_target_platform/%version/nof
%_libdir/gcc-lib/%_target_platform/%version/nof/libstdc++.so
%dir %_libdir/nof/
%_libdir/nof/libstdc++-3-libc6.2-2-2.10.0.so
%_libdir/nof/libstdc++-libc6.2-2.so.3

%files -n libstdc++-devel
%defattr(-,root,root)
%doc rpm.doc/libstdc++/*
%_libdir/libstdc++-3-libc*-%{STDC_VERSION}.a
%_libdir/libstdc++-libc*.a.3
%dir %_includedir/g++-3/
%_includedir/g++-3/*
%dir %_libdir/gcc-lib/
%dir %_libdir/gcc-lib/%_target_platform/
%dir %_libdir/gcc-lib/%_target_platform/%version/
%dir %_libdir/gcc-lib/%_target_platform/%version/include/
%_libdir/gcc-lib/%_target_platform/%version/include/*
%_libdir/gcc-lib/%_target_platform/%version/libstdc++.a
%dir %_libdir/gcc-lib/%_target_platform/%version/nof/
%_libdir/gcc-lib/%_target_platform/%version/nof/libstdc++.a
%dir %_libdir/nof/
%_libdir/nof/libstdc++-3-libc6.2-2-2.10.0.a
%_libdir/nof/libstdc++-libc6.2-2.a.3

%files -n libstdc++-compat
%defattr(-,root,root)
%_libdir/libstdc++.so.2.8.0

%files -n gcc-objc
%defattr(-,root,root)
%doc rpm.doc/objc/*
%doc libobjc/THREADS* libobjc/ChangeLog
%dir %_libdir/gcc-lib
%dir %_libdir/gcc-lib/%_target_platform
%dir %_libdir/gcc-lib/%_target_platform/%version
%_libdir/gcc-lib/%_target_platform/%version/cc1obj
%_libdir/gcc-lib/%_target_platform/%version/libobjc.a
%dir %_libdir/gcc-lib/%_target_platform/%version/include/
%dir %_libdir/gcc-lib/%_target_platform/%version/include/objc
%_libdir/gcc-lib/%_target_platform/%version/include/objc/*

%files -n gcc-g77
%defattr(-,root,root)
%doc gcc/f/README rpm.doc/g77/*
%_bindir/g77
%_bindir/f77
%_infodir/g77*
%dir %_libdir/gcc-lib/
%dir %_libdir/gcc-lib/%_target_platform/
%dir %_libdir/gcc-lib/%_target_platform/%version/
%_libdir/gcc-lib/%_target_platform/%version/f771
%_libdir/gcc-lib/%_target_platform/%version/libg2c.a
%_mandir/man1/g77.1*
%dir %_libdir/gcc-lib/%_target_platform/%version/include/
%_libdir/gcc-lib/%_target_platform/%version/include/g2c.h

%files -n gcc-chill
%defattr(-,root,root)
%doc gcc/ch/README gcc/ch/chill.brochure rpm.doc/chill/*
%_bindir/chill
%_infodir/chill*
%dir %_libdir/gcc-lib/
%dir %_libdir/gcc-lib/%_target_platform/
%dir %_libdir/gcc-lib/%_target_platform/%version/
%_libdir/gcc-lib/%_target_platform/%version/cc1chill
%_libdir/gcc-lib/%_target_platform/%version/chill*.o
%_libdir/gcc-lib/%_target_platform/%version/libchill.a
%dir %_libdir/gcc-lib/%_target_platform/%version/nof/
%_libdir/gcc-lib/%_target_platform/%version/nof/chillrt0.o
%_libdir/gcc-lib/%_target_platform/%version/nof/libchill.a

%files -n gcc-colorgcc
%defattr (-,root,root,-)
%doc COPYING.colorgcc CREDITS.colorgcc ChangeLog.colorgcc
%config(noreplace) %_sysconfdir/colorgccrc
%_bindir/colorgcc
%_bindir/colorg++
%endif

%ifnarch ppc
%files -n gcc-gpc
%defattr (-,root,root)
%doc gcc/p/AUTHORS gcc/p/ChangeLog gcc/p/COPYING gcc/p/FAQ gcc/p/INSTALL gcc/p/LIBS gcc/p/NEWS gcc/p/README
%_bindir/gpc
%_mandir/man1/gpc*
%_infodir/gpc*
%_libdir/gcc-lib/%_target_platform/%version/cc1
%_libdir/gcc-lib/%_target_platform/%version/collect2
%_libdir/gcc-lib/%_target_platform/%version/cpp0
%_libdir/gcc-lib/%_target_platform/%version/crtbegin.o
%_libdir/gcc-lib/%_target_platform/%version/crtbeginS.o
%_libdir/gcc-lib/%_target_platform/%version/crtend.o
%_libdir/gcc-lib/%_target_platform/%version/crtendS.o
%_libdir/gcc-lib/%_target_platform/%version/gpc1
%_libdir/gcc-lib/%_target_platform/%version/gpcpp
%_libdir/gcc-lib/%_target_platform/%version/specs
%_libdir/gcc-lib/%_target_platform/%version/SYSCALLS.c.X

%files -n gcc-gpc-devel
%defattr (-,root,root)
%_libdir/gcc-lib/%_target_platform/%version/libgpc.a
%_libdir/gcc-lib/%_target_platform/%version/libgcc.a
%_libdir/gcc-lib/%_target_platform/%version/include
%_libdir/gcc-lib/%_target_platform/%version/units
%endif

%changelog
* Fri Feb  8 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.95.3-5mdk
- gpc package added for non-ppc - Guillaume Rousse <g.rousse@linux-mandrake.com>

* Tue Sep 11 2001 David BAUDENS <baudens@mandrakesoft.com> 2.95.3-4mdk
- s/Linux-Mandrake/Mandrake Linux/

* Mon Apr 30 2001 David BAUDENS <baudens@mandrakesoft.com> 2.95.3-3mdk
- Cooker flag
- BuildRequires: tetex-xdvi

* Sun Apr 08 2001 David BAUDENS <baudens@mandrakesoft.com> 2.95.3-2mdk
- Update version flag

* Sat Mar 17 2001 David BAUDENS <baudens@mandrakesoft.com> 2.95.3-1mdk
- Update to gcc-2.95.3 final release

* Wed Mar 07 2001 David BAUDENS <baudens@mandrakesoft.com> 2.95.3-0.2mdk
- Update to gcc-2.95.3.test4 and apply Franz Sirl's patches

* Sat Jan 27 2001 David BAUDENS <baudens@mandrakesoft.com> 2.95.3-0.1mdk
- Update to gcc-2.95.3-test3
- Big spec clean up. This package is now only designed for PPC.

* Wed Nov 15 2000 David BAUDENS <baudens@mandrakesoft.com> 2.95-15mdk
- Fix some links

* Wed Nov 15 2000 David BAUDENS <baudens@mandrakesoft.com> 2.95-14mdk
- Fix build with glibc-2.2

* Tue Nov 07 2000 David BAUDENS <baudens@mandrakesoft.com> 2.95.2-13mdk
- Back in Cooker for PPC

* Sat Sep 16 2000 David BAUDENS <baudens@mandrakesoft.com> 2.95.2-12mdk
- Allow to build on PPC

* Thu Sep 14 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.95.2-11mdk
- use update-alternative (less costly that a checker script executed
  at each gcc invocation) : let's enforce Fred Right Way(tm) :-)

* Wed Aug 16 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.95.2-10mdk
- fix bad gcc-cpp script due to a bad rpm macros

* Tue Aug 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.95.2-9mdk
- fix colorgcc (chmousucks put 2 patch10)
- clean colorgcc (remove ugly post&preun scripts which brokes rpmdb &
  update)
- fix requires on perl version for ANSIColor.pm

* Sun Jul 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.95.2-8mdk
- Fix libgcj build.
- Add and merges debian patches.
- Try to cleanup a bit (i guess i should use the 2.96* spec)
- BM.

* Thu Apr 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.95.2-7mdk
- Remove Ansi package (included in perl 5.6).
- spec-helper tweaks.
- Update Requires:.

* Sun Apr  2 2000 Adam Lebsack <adam@mandrakesoft.com> 2.95.2-6mdk
- Added a ppc patch for libgcj
- Added some libstdc++-compat ppc libs
- Fixed cpp problem for ppc
- Fixed rpm packaging problem by bzipping some man and info files.
- Fixed colorgcc for perl 5.600

* Wed Mar 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.95.2-5mdk
- Fix groups.
- Cleanup specs.

* Thu Jan 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.95.2-4mdk
- applied debian patches for sparc.

* Sat Nov 27 1999 - Stefan van der Eijk <s.vandereijk@chello.nl>
- changed an instance of "i386" into "%{_arch}" in the .spec file
  (pixel's rebuild and small change)

* Sun Oct 31 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 2.95.2-2mdk
- Add arch AMD K6 in libstdc++-compat.tar.bz2

* Thu Oct 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.95.2.

* Tue Sep 28 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add a stupid defattr 

* Mon Sep 27 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add k6 arch and a missing i486
- enable CFLAGS=RPM_OPT_FLAGS

* Wed Aug 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.95.1
- french locales
- debug bero spec (broken dependancies and update)

* Sun Aug 07 1999 Bernhard Rosenkraenzer <bero@ms-windows-2000.com>
- libstdc++ provides libstdc++.so.2.9

* Thu Aug 05 1999 Bernhard Rosenkraenzer <bero@ms-windows-2000.com>
- s/p// ;)

* Thu Aug 05 1999 Bernhard Rosenkraenzer <bero@ms-windows-2000.com>
- redo Mandrake adaptions (the RH contrib RPM mentioned below was quite
  obviously a modified version of the Mandrake pgcc 1.1.3 version)
- Add download location for colorgcc and ANSIColor

* Wed Aug 04 1999 Erhan Bilgili <erhan@altay.adm.deu.edu.tr>
- adapted the original gcc-2.95 spec to pgcc-2.95
- changed the spec file (my old pgcc spec file sucks !)
- added colorgcc by default

* Mon Aug 02 1999 Vu Hung Quan <binaire@videotron.ca>
- libgcj-2.95

* Sat Jul 31 1999 Vu Hung Quan <binaire@videotron.ca>
- gcc-2.95 ; adapted spec  from Arvind Sankar and redhat libgcj not integrated
